Bug 215140 - pup requires too much hand holding
pup requires too much hand holding
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-11-11 06:39 EST by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-09 16:25:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-11-11 06:39:34 EST
Let's say I am a user that updates my box using pup.
I think pup was designed to get updates installed automatically, for people who
are not comfortable with the command line.

Anyway, puplet pops up and says there are updates available. I click "apply

It would be good if that was the end of things, but no.

I then get a dialog box that tells me it is refreshing the package list, then
one that lists the updates, then another that asks me if I want to install the
updates, and then finally it does "apply updates".

It would be good if this second part (in the last paragraph) went away.

(I realise this would require a tie in with shutting down the computer, pup must
exit cleanly)
Comment 1 Jeremy Katz 2006-11-15 23:08:03 EST
The wording has changed a bit from "Apply Updates" -> "View updates" to make it
more clear that you're not going to get the updates immediately.  This should
help a bit with the perception at least.

The question of if it makes sense to do a refresh of metadata at the point of
running pup is one I'm open to -- right now, we do on the reasoning that
something _could_ have changed since the notification occurred (especially if 
your network went away and then came back).  The worst case, though, is that you
apply the updates you have info for and then get told there are more on exiting
Comment 2 Need Real Name 2006-11-16 02:17:01 EST
I see.

I suppose there are two categories of user. The first being the "I don't want to
know which packages have been updated, there's nothing I can do apart from
accept them". This group doesn't need to see the list of packages and decide
which ones they want to install, they just want to okay the updates (or do they?)

The second group would like a list.

I just think for a gui app like this, maybe the first group should get
precedence in the app, less "okays" to click.
Comment 3 Need Real Name 2006-11-21 17:44:01 EST
Okay, how about this:

New option: right-click panel icon, choose "Download and apply all available
Comment 4 Jeremy Katz 2006-11-27 17:06:53 EST
(In reply to comment #3)
> Okay, how about this:
> New option: right-click panel icon, choose "Download and apply all available
> updates".

Hmmm... that's an interesting idea.  Let me think on it a little :)
Comment 5 Jeremy Katz 2007-04-09 16:25:20 EDT
pirut-1.3.5 will add the ability to right click and then say apply all updates

Note You need to log in before you can comment on or make changes to this bug.